AWS Cloud Connectivity - Credentials - Replace (PUT)
This page documents the Replace (PUT) operation in the AWS Cloud Connectivity API. Use a valid JWT bearer token.
PUT https://ope-obs.apibackbone.orange.com/evolutionplatform/aws/api/v1/projects/{projectId}/aws/credentials/{id}
Authorization: Bearer YOUR_ACCESS_TOKEN
Parameters
| Parameter | In | Required | Type / default |
|---|---|---|---|
id | path | Yes | string uuid |
projectId | path | Yes | string uuid |
Request body
| JSON field | Required | Type / notes |
|---|---|---|
name | Yes | string: aws credentials name |
description | No | string: aws credentials description |
apiKey | Yes | string: apiKey on aws |
secretKey | Yes | string: secretKey on aws |
expirationDate | No | string date: expiration date of the aws credentials |
Response
Successful response: 200. ok Response schema: object.